package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;
    public static boolean dontPause;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        if (!dontPause)
            BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        else
            BA.LogInfo("** Activity (main) Pause event (activity is not paused). **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        if (!dontPause) {
            processBA.setActivityPaused(true);
            mostCurrent = null;
        }

        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            main mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Serial.BluetoothAdmin _btadmin = null;
public static anywheresoftware.b4a.objects.Serial _btserial = null;
public static anywheresoftware.b4a.objects.collections.List _btdevicess = null;
public static b4a.example.main._nameandmac _connecteddevice = null;
public static boolean _connectedflag = false;
public static boolean _bluetoothstate = false;
public static anywheresoftware.b4a.randomaccessfile.AsyncStreams _async = null;
public static String _receivedate = "";
public static anywheresoftware.b4a.objects.RuntimePermissions _rp = null;
public anywheresoftware.b4a.objects.ButtonWrapper _search = null;
public anywheresoftware.b4a.objects.ButtonWrapper _conn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _program = null;
public static String _stringdata = "";
public static int[] _bytestosend = null;
public static byte[] _bytes2send = null;
public static byte[] _bytes2send2 = null;
public static byte[] _bytes2send3 = null;
public static byte _programadd = (byte)0;
public static byte[] _valval1 = null;
public static byte[] _valval2 = null;
public static byte[] _valval3 = null;
public static byte[] _valval4 = null;
public static byte[] _valval5 = null;
public static byte _valtemp1 = (byte)0;
public static byte _valtemp2 = (byte)0;
public static byte _valtemp3 = (byte)0;
public static int _valtemp4 = 0;
public static byte _valtemp5 = (byte)0;
public anywheresoftware.b4a.objects.PanelWrapper _chcolor = null;
public anywheresoftware.b4a.objects.SeekBarWrapper _radiopower = null;
public anywheresoftware.b4a.objects.SeekBarWrapper _radioblue = null;
public anywheresoftware.b4a.objects.SeekBarWrapper _radiogreen = null;
public anywheresoftware.b4a.objects.SeekBarWrapper _radiored = null;
public anywheresoftware.b4a.objects.PanelWrapper _chcolor2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _state1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _state2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _diagnostic = null;
public anywheresoftware.b4a.objects.ButtonWrapper _mainmenu = null;
public anywheresoftware.b4a.objects.ButtonWrapper _getinfo = null;
public anywheresoftware.b4a.objects.EditTextWrapper _field = null;
public anywheresoftware.b4a.objects.LabelWrapper _val1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _val2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _val3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _val4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _val5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _min1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _min2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _min3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _min4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _min5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _plus1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _plus2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _plus3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _plus4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _plus5 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _progcheck = null;
public b4a.example.starter _starter = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static class _nameandmac{
public boolean IsInitialized;
public String Name;
public String Mac;
public void Initialize() {
IsInitialized = true;
Name = "";
Mac = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 96;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 98;BA.debugLine="Activity.LoadLayout(\"sclform\")";
mostCurrent._activity.LoadLayout("sclform",mostCurrent.activityBA);
 //BA.debugLineNum = 99;BA.debugLine="Activity.Title=\"SCL APP\"";
mostCurrent._activity.setTitle(BA.ObjectToCharSequence("SCL APP"));
 //BA.debugLineNum = 102;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 //BA.debugLineNum = 103;BA.debugLine="connectedflag = False";
_connectedflag = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 104;BA.debugLine="BTadmin.Initialize(\"BTadmin\")";
_btadmin.Initialize(processBA,"BTadmin");
 //BA.debugLineNum = 105;BA.debugLine="BTserial.Initialize(\"BTserial\")";
_btserial.Initialize("BTserial");
 //BA.debugLineNum = 107;BA.debugLine="conn.Text=\"Disconnect\"   'napisanie na przycisku";
mostCurrent._conn.setText(BA.ObjectToCharSequence("Disconnect"));
 //BA.debugLineNum = 108;BA.debugLine="conn.Enabled=False";
mostCurrent._conn.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 109;BA.debugLine="Program.Enabled=False 'wylaczenie przycisku do w";
mostCurrent._program.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 110;BA.debugLine="search.Enabled=True";
mostCurrent._search.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 112;BA.debugLine="STATE1.Enabled=False";
mostCurrent._state1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 113;BA.debugLine="STATE2.Enabled=False";
mostCurrent._state2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 114;BA.debugLine="DIAGNOSTIC.Enabled=False";
mostCurrent._diagnostic.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 116;BA.debugLine="sliderdefault  'ustalenie poczatkowych wartosci";
_sliderdefault();
 //BA.debugLineNum = 117;BA.debugLine="sliderpanel   'ustalenie wartosci kolorow, dla p";
_sliderpanel();
 //BA.debugLineNum = 119;BA.debugLine="programadd=0";
_programadd = (byte) (0);
 //BA.debugLineNum = 120;BA.debugLine="progcheck.Checked=False";
mostCurrent._progcheck.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 123;BA.debugLine="valtemp1=4";
_valtemp1 = (byte) (4);
 //BA.debugLineNum = 124;BA.debugLine="valtemp2=4";
_valtemp2 = (byte) (4);
 //BA.debugLineNum = 125;BA.debugLine="valtemp3=24";
_valtemp3 = (byte) (24);
 //BA.debugLineNum = 126;BA.debugLine="valtemp4=0";
_valtemp4 = (int) (0);
 //BA.debugLineNum = 127;BA.debugLine="valtemp5=0";
_valtemp5 = (byte) (0);
 //BA.debugLineNum = 128;BA.debugLine="calvalue 'wywolanie funkcji przeliczeniowej";
_calvalue();
 };
 //BA.debugLineNum = 132;BA.debugLine="If BTadmin.IsEnabled = False Then";
if (_btadmin.IsEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 133;BA.debugLine="If BTadmin.Enable = False Then";
if (_btadmin.Enable()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 134;BA.debugLine="ToastMessageShow(\"Error enabling Bluetooth adap";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Error enabling Bluetooth adapter."),anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 136;BA.debugLine="ToastMessageShow(\"Enabling Bluetooth adapter...";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Enabling Bluetooth adapter..."),anywheresoftware.b4a.keywords.Common.False);
 };
 }else {
 //BA.debugLineNum = 139;BA.debugLine="BluetoothState = True";
_bluetoothstate = anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 142;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 150;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 151;BA.debugLine="If UserClosed Then";
if (_userclosed) { 
 //BA.debugLineNum = 152;BA.debugLine="async.Close         'zamkniecie aplikacji";
_async.Close();
 //BA.debugLineNum = 153;BA.debugLine="BTserial.Disconnect 'zamkniecie polaczenia szere";
_btserial.Disconnect();
 //BA.debugLineNum = 154;BA.debugLine="connectedflag=False 'wykasowanie flagi informuja";
_connectedflag = anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 156;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 145;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 147;BA.debugLine="End Sub";
return "";
}
public static String  _async_newdata(byte[] _buffer) throws Exception{
String _s = "";
 //BA.debugLineNum = 304;BA.debugLine="Sub async_NewData (Buffer() As Byte)";
 //BA.debugLineNum = 306;BA.debugLine="Dim s As String";
_s = "";
 //BA.debugLineNum = 308;BA.debugLine="s=BytesToString(Buffer, 0, Buffer.Length, \"UTF8\")";
_s = anywheresoftware.b4a.keywords.Common.BytesToString(_buffer,(int) (0),_buffer.length,"UTF8");
 //BA.debugLineNum = 309;BA.debugLine="receivedate=receivedate & s";
_receivedate = _receivedate+_s;
 //BA.debugLineNum = 311;BA.debugLine="field.Text=receivedate";
mostCurrent._field.setText(BA.ObjectToCharSequence(_receivedate));
 //BA.debugLineNum = 313;BA.debugLine="End Sub";
return "";
}
public static String  _btadmin_devicefound(String _name,String _macaddress) throws Exception{
b4a.example.main._nameandmac _nm = null;
 //BA.debugLineNum = 162;BA.debugLine="Sub BTadmin_DeviceFound (Name As String, MacAddres";
 //BA.debugLineNum = 163;BA.debugLine="Log(Name & \":\" & MacAddress)";
anywheresoftware.b4a.keywords.Common.LogImpl("0327681",_name+":"+_macaddress,0);
 //BA.debugLineNum = 164;BA.debugLine="Dim nm As NameAndMac";
_nm = new b4a.example.main._nameandmac();
 //BA.debugLineNum = 165;BA.debugLine="nm.Name = Name";
_nm.Name /*String*/  = _name;
 //BA.debugLineNum = 166;BA.debugLine="nm.Mac = MacAddress";
_nm.Mac /*String*/  = _macaddress;
 //BA.debugLineNum = 167;BA.debugLine="BTdevicess.Add(nm)";
_btdevicess.Add((Object)(_nm));
 //BA.debugLineNum = 168;BA.debugLine="End Sub";
return "";
}
public static void  _btadmin_discoveryfinished() throws Exception{
ResumableSub_BTadmin_DiscoveryFinished rsub = new ResumableSub_BTadmin_DiscoveryFinished(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_BTadmin_DiscoveryFinished extends BA.ResumableSub {
public ResumableSub_BTadmin_DiscoveryFinished(b4a.example.main parent) {
this.parent = parent;
}
b4a.example.main parent;
anywheresoftware.b4a.objects.collections.List _l = null;
b4a.example.main._nameandmac _nm = null;
int _index = 0;
b4a.example.main._nameandmac _device = null;
anywheresoftware.b4a.BA.IterableList group7;
int index7;
int groupLen7;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 171;BA.debugLine="ProgressDialogHide";
anywheresoftware.b4a.keywords.Common.ProgressDialogHide();
 //BA.debugLineNum = 172;BA.debugLine="If BTdevicess.Size = 0 Then";
if (true) break;

case 1:
//if
this.state = 14;
if (parent._btdevicess.getSize()==0) { 
this.state = 3;
}else {
this.state = 5;
}if (true) break;

case 3:
//C
this.state = 14;
 //BA.debugLineNum = 173;BA.debugLine="ToastMessageShow(\"No device found.\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("No device found."),anywheresoftware.b4a.keywords.Common.True);
 if (true) break;

case 5:
//C
this.state = 6;
 //BA.debugLineNum = 175;BA.debugLine="Dim l As List";
_l = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 176;BA.debugLine="l.Initialize";
_l.Initialize();
 //BA.debugLineNum = 177;BA.debugLine="For Each nm As NameAndMac In BTdevicess";
if (true) break;

case 6:
//for
this.state = 9;
group7 = parent._btdevicess;
index7 = 0;
groupLen7 = group7.getSize();
this.state = 15;
if (true) break;

case 15:
//C
this.state = 9;
if (index7 < groupLen7) {
this.state = 8;
_nm = (b4a.example.main._nameandmac)(group7.Get(index7));}
if (true) break;

case 16:
//C
this.state = 15;
index7++;
if (true) break;

case 8:
//C
this.state = 16;
 //BA.debugLineNum = 178;BA.debugLine="l.Add(nm.Name)";
_l.Add((Object)(_nm.Name /*String*/ ));
 if (true) break;
if (true) break;

case 9:
//C
this.state = 10;
;
 //BA.debugLineNum = 180;BA.debugLine="InputListAsync(l, \"Choose device\", -1, True)";
anywheresoftware.b4a.keywords.Common.InputListAsync(_l,BA.ObjectToCharSequence("Choose device"),(int) (-1),processBA,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 181;BA.debugLine="Wait For InputList_Result (Index As Int)";
anywheresoftware.b4a.keywords.Common.WaitFor("inputlist_result", processBA, this, null);
this.state = 17;
return;
case 17:
//C
this.state = 10;
_index = (Integer) result[0];
;
 //BA.debugLineNum = 182;BA.debugLine="If Index <> DialogResponse.CANCEL Then";
if (true) break;

case 10:
//if
this.state = 13;
if (_index!=anywheresoftware.b4a.keywords.Common.DialogResponse.CANCEL) { 
this.state = 12;
}if (true) break;

case 12:
//C
this.state = 13;
 //BA.debugLineNum = 183;BA.debugLine="Dim device As NameAndMac = BTdevicess.Get(Index";
_device = (b4a.example.main._nameandmac)(parent._btdevicess.Get(_index));
 //BA.debugLineNum = 184;BA.debugLine="BTserial.Connect(device.Mac)";
parent._btserial.Connect(processBA,_device.Mac /*String*/ );
 //BA.debugLineNum = 185;BA.debugLine="ProgressDialogShow2($\"Trying to connect to: ${d";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow2(mostCurrent.activityBA,BA.ObjectToCharSequence(("Trying to connect to: "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(_device.Name /*String*/ ))+" ("+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(_device.Mac /*String*/ ))+")")),anywheresoftware.b4a.keywords.Common.False);
 if (true) break;

case 13:
//C
this.state = 14;
;
 if (true) break;

case 14:
//C
this.state = -1;
;
 //BA.debugLineNum = 188;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _inputlist_result(int _index) throws Exception{
}
public static String  _btadmin_statechanged(int _newstate,int _oldstate) throws Exception{
 //BA.debugLineNum = 190;BA.debugLine="Sub BTadmin_StateChanged (NewState As Int, OldStat";
 //BA.debugLineNum = 191;BA.debugLine="Log(\"state changed: \" & NewState)";
anywheresoftware.b4a.keywords.Common.LogImpl("0458753","state changed: "+BA.NumberToString(_newstate),0);
 //BA.debugLineNum = 192;BA.debugLine="BluetoothState = NewState = BTadmin.STATE_ON";
_bluetoothstate = _newstate==_btadmin.STATE_ON;
 //BA.debugLineNum = 193;BA.debugLine="End Sub";
return "";
}
public static String  _btserial_connected(boolean _success) throws Exception{
 //BA.debugLineNum = 199;BA.debugLine="Sub BTserial_Connected (Success As Boolean)";
 //BA.debugLineNum = 200;BA.debugLine="ProgressDialogHide";
anywheresoftware.b4a.keywords.Common.ProgressDialogHide();
 //BA.debugLineNum = 202;BA.debugLine="If Success Then";
if (_success) { 
 //BA.debugLineNum = 203;BA.debugLine="ToastMessageShow(\"BT is connected\", False )";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("BT is connected"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 204;BA.debugLine="connectedflag = True";
_connectedflag = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 205;BA.debugLine="If async.IsInitialized Then async.Close 'jezeli";
if (_async.IsInitialized()) { 
_async.Close();};
 //BA.debugLineNum = 206;BA.debugLine="async.Initialize(BTserial.InputStream, BTserial.";
_async.Initialize(processBA,_btserial.getInputStream(),_btserial.getOutputStream(),"async");
 //BA.debugLineNum = 207;BA.debugLine="buttonstatus(connectedflag) 'zmiana statusu przy";
_buttonstatus(_connectedflag);
 }else {
 //BA.debugLineNum = 209;BA.debugLine="connectedflag = False";
_connectedflag = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 210;BA.debugLine="ToastMessageShow(\"Troubles with connection\", Fal";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Troubles with connection"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 211;BA.debugLine="buttonstatus(connectedflag) 'zmiana statusu przy";
_buttonstatus(_connectedflag);
 };
 //BA.debugLineNum = 213;BA.debugLine="End Sub";
return "";
}
public static String  _buttonstatus(boolean _status) throws Exception{
 //BA.debugLineNum = 256;BA.debugLine="Sub buttonstatus(status As Boolean)";
 //BA.debugLineNum = 257;BA.debugLine="If status=True Then";
if (_status==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 258;BA.debugLine="conn.Enabled=True 'aktywowanie przycisku do rozl";
mostCurrent._conn.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 259;BA.debugLine="search.Enabled=False";
mostCurrent._search.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 260;BA.debugLine="Program.Enabled=True 'aktywowanie przycisku uruc";
mostCurrent._program.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 261;BA.debugLine="STATE1.Enabled=True";
mostCurrent._state1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 262;BA.debugLine="STATE2.Enabled=True";
mostCurrent._state2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 263;BA.debugLine="DIAGNOSTIC.Enabled=True";
mostCurrent._diagnostic.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 265;BA.debugLine="conn.Enabled=False 'wylaczenie przycisku do rozl";
mostCurrent._conn.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 266;BA.debugLine="Program.Enabled=False 'wylaczenie przycisku uruc";
mostCurrent._program.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 267;BA.debugLine="search.Enabled=True";
mostCurrent._search.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 268;BA.debugLine="STATE1.Enabled=False";
mostCurrent._state1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 269;BA.debugLine="STATE2.Enabled=False";
mostCurrent._state2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 270;BA.debugLine="DIAGNOSTIC.Enabled=False";
mostCurrent._diagnostic.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 272;BA.debugLine="End Sub";
return "";
}
public static String  _calvalue() throws Exception{
byte _temptemp = (byte)0;
 //BA.debugLineNum = 657;BA.debugLine="Sub calvalue";
 //BA.debugLineNum = 659;BA.debugLine="Dim temptemp As Byte";
_temptemp = (byte)0;
 //BA.debugLineNum = 661;BA.debugLine="If valtemp1>5 Then";
if (_valtemp1>5) { 
 //BA.debugLineNum = 662;BA.debugLine="valtemp1=5";
_valtemp1 = (byte) (5);
 };
 //BA.debugLineNum = 664;BA.debugLine="valval1(0)=valtemp1+0x30";
_valval1[(int) (0)] = (byte) (_valtemp1+0x30);
 //BA.debugLineNum = 666;BA.debugLine="If valtemp2>4 Then";
if (_valtemp2>4) { 
 //BA.debugLineNum = 667;BA.debugLine="valtemp2=4";
_valtemp2 = (byte) (4);
 };
 //BA.debugLineNum = 669;BA.debugLine="valval2(0)=valtemp2+0x30";
_valval2[(int) (0)] = (byte) (_valtemp2+0x30);
 //BA.debugLineNum = 671;BA.debugLine="If valtemp3>24 Then";
if (_valtemp3>24) { 
 //BA.debugLineNum = 672;BA.debugLine="valtemp3=24";
_valtemp3 = (byte) (24);
 };
 //BA.debugLineNum = 675;BA.debugLine="valval3(0)=valtemp3/10";
_valval3[(int) (0)] = (byte) (_valtemp3/(double)10);
 //BA.debugLineNum = 676;BA.debugLine="valval3(1)=valtemp3-(valval3(0)*10)";
_valval3[(int) (1)] = (byte) (_valtemp3-(_valval3[(int) (0)]*10));
 //BA.debugLineNum = 677;BA.debugLine="valval3(0)=valval3(0)+0x30";
_valval3[(int) (0)] = (byte) (_valval3[(int) (0)]+0x30);
 //BA.debugLineNum = 678;BA.debugLine="valval3(1)=valval3(1)+0x30";
_valval3[(int) (1)] = (byte) (_valval3[(int) (1)]+0x30);
 //BA.debugLineNum = 680;BA.debugLine="If valtemp4>200 Then";
if (_valtemp4>200) { 
 //BA.debugLineNum = 681;BA.debugLine="valtemp4=200";
_valtemp4 = (int) (200);
 };
 //BA.debugLineNum = 683;BA.debugLine="valval4(0)=valtemp4/100";
_valval4[(int) (0)] = (byte) (_valtemp4/(double)100);
 //BA.debugLineNum = 684;BA.debugLine="temptemp=valtemp4-(valval4(0)*100)";
_temptemp = (byte) (_valtemp4-(_valval4[(int) (0)]*100));
 //BA.debugLineNum = 685;BA.debugLine="valval4(1)=temptemp/10";
_valval4[(int) (1)] = (byte) (_temptemp/(double)10);
 //BA.debugLineNum = 686;BA.debugLine="valval4(2)=temptemp-(valval4(1)*10)";
_valval4[(int) (2)] = (byte) (_temptemp-(_valval4[(int) (1)]*10));
 //BA.debugLineNum = 687;BA.debugLine="valval4(0)=valval4(0)+0x30";
_valval4[(int) (0)] = (byte) (_valval4[(int) (0)]+0x30);
 //BA.debugLineNum = 688;BA.debugLine="valval4(1)=valval4(1)+0x30";
_valval4[(int) (1)] = (byte) (_valval4[(int) (1)]+0x30);
 //BA.debugLineNum = 689;BA.debugLine="valval4(2)=valval4(2)+0x30";
_valval4[(int) (2)] = (byte) (_valval4[(int) (2)]+0x30);
 //BA.debugLineNum = 691;BA.debugLine="If valtemp5>25 Then";
if (_valtemp5>25) { 
 //BA.debugLineNum = 692;BA.debugLine="valtemp5=25";
_valtemp5 = (byte) (25);
 };
 //BA.debugLineNum = 695;BA.debugLine="valval5(0)=valtemp5/10";
_valval5[(int) (0)] = (byte) (_valtemp5/(double)10);
 //BA.debugLineNum = 696;BA.debugLine="valval5(1)=valtemp5-(valval5(0)*10)";
_valval5[(int) (1)] = (byte) (_valtemp5-(_valval5[(int) (0)]*10));
 //BA.debugLineNum = 697;BA.debugLine="valval5(0)=valval5(0)+0x30";
_valval5[(int) (0)] = (byte) (_valval5[(int) (0)]+0x30);
 //BA.debugLineNum = 698;BA.debugLine="valval5(1)=valval5(1)+0x30";
_valval5[(int) (1)] = (byte) (_valval5[(int) (1)]+0x30);
 //BA.debugLineNum = 700;BA.debugLine="val1.Text=BytesToString(valval1, 0, 1, \"UTF-8\")";
mostCurrent._val1.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.BytesToString(_valval1,(int) (0),(int) (1),"UTF-8")));
 //BA.debugLineNum = 701;BA.debugLine="val2.Text=BytesToString(valval2, 0, 1, \"UTF-8\")";
mostCurrent._val2.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.BytesToString(_valval2,(int) (0),(int) (1),"UTF-8")));
 //BA.debugLineNum = 702;BA.debugLine="val3.Text=BytesToString(valval3, 0, 2, \"UTF-8\")";
mostCurrent._val3.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.BytesToString(_valval3,(int) (0),(int) (2),"UTF-8")));
 //BA.debugLineNum = 703;BA.debugLine="val4.Text=BytesToString(valval4, 0, 3, \"UTF-8\")";
mostCurrent._val4.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.BytesToString(_valval4,(int) (0),(int) (3),"UTF-8")));
 //BA.debugLineNum = 704;BA.debugLine="val5.Text=BytesToString(valval5, 0, 2, \"UTF-8\")";
mostCurrent._val5.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.BytesToString(_valval5,(int) (0),(int) (2),"UTF-8")));
 //BA.debugLineNum = 706;BA.debugLine="If valtemp1=5 Then";
if (_valtemp1==5) { 
 //BA.debugLineNum = 707;BA.debugLine="plus4.Enabled=True";
mostCurrent._plus4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 708;BA.debugLine="plus5.Enabled=True";
mostCurrent._plus5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 710;BA.debugLine="min4.Enabled=True";
mostCurrent._min4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 711;BA.debugLine="min5.Enabled=True";
mostCurrent._min5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 713;BA.debugLine="plus4.Enabled=False";
mostCurrent._plus4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 714;BA.debugLine="plus5.Enabled=False";
mostCurrent._plus5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 716;BA.debugLine="min4.Enabled=False";
mostCurrent._min4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 717;BA.debugLine="min5.Enabled=False";
mostCurrent._min5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 720;BA.debugLine="End Sub";
return "";
}
public static String  _conn_click() throws Exception{
 //BA.debugLineNum = 244;BA.debugLine="Sub Conn_Click";
 //BA.debugLineNum = 245;BA.debugLine="If connectedflag=True Then";
if (_connectedflag==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 246;BA.debugLine="async.Close";
_async.Close();
 //BA.debugLineNum = 247;BA.debugLine="BTserial.Disconnect 'zamkniecie polaczenia szere";
_btserial.Disconnect();
 //BA.debugLineNum = 248;BA.debugLine="connectedflag=False  'wykasowanie flagi informuj";
_connectedflag = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 249;BA.debugLine="buttonstatus(connectedflag) 'zmiana statusu przy";
_buttonstatus(_connectedflag);
 }else {
 //BA.debugLineNum = 251;BA.debugLine="connectedflag=True";
_connectedflag = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 252;BA.debugLine="buttonstatus(connectedflag) 'zmiana statusu przy";
_buttonstatus(_connectedflag);
 };
 //BA.debugLineNum = 254;BA.debugLine="End Sub";
return "";
}
public static String  _diagnostic_click() throws Exception{
 //BA.debugLineNum = 456;BA.debugLine="Private Sub DIAGNOSTIC_Click";
 //BA.debugLineNum = 457;BA.debugLine="conn.Visible=False 'aktywowanie przycisku do rozl";
mostCurrent._conn.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 458;BA.debugLine="search.Visible=False";
mostCurrent._search.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 459;BA.debugLine="Program.Visible=False'aktywowanie przycisku uruch";
mostCurrent._program.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 461;BA.debugLine="STATE2.Visible=False";
mostCurrent._state2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 462;BA.debugLine="STATE1.Visible=False";
mostCurrent._state1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 463;BA.debugLine="DIAGNOSTIC.Visible=False";
mostCurrent._diagnostic.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 465;BA.debugLine="min1.Visible=False";
mostCurrent._min1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 466;BA.debugLine="min2.Visible=False";
mostCurrent._min2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 467;BA.debugLine="min3.Visible=False";
mostCurrent._min3.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 468;BA.debugLine="min4.Visible=False";
mostCurrent._min4.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 469;BA.debugLine="min5.Visible=False";
mostCurrent._min5.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 471;BA.debugLine="plus1.Visible=False";
mostCurrent._plus1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 472;BA.debugLine="plus2.Visible=False";
mostCurrent._plus2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 473;BA.debugLine="plus3.Visible=False";
mostCurrent._plus3.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 474;BA.debugLine="plus4.Visible=False";
mostCurrent._plus4.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 475;BA.debugLine="plus5.Visible=False";
mostCurrent._plus5.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 477;BA.debugLine="Activity.LoadLayout(\"diagform\")";
mostCurrent._activity.LoadLayout("diagform",mostCurrent.activityBA);
 //BA.debugLineNum = 478;BA.debugLine="Activity.Title=\"SCL DIAGNOSTIC\"";
mostCurrent._activity.setTitle(BA.ObjectToCharSequence("SCL DIAGNOSTIC"));
 //BA.debugLineNum = 479;BA.debugLine="getinfo.Visible=True";
mostCurrent._getinfo.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 480;BA.debugLine="mainmenu.Visible=True";
mostCurrent._mainmenu.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 483;BA.debugLine="End Sub";
return "";
}
public static String  _getinfo_click() throws Exception{
 //BA.debugLineNum = 485;BA.debugLine="Private Sub getinfo_Click";
 //BA.debugLineNum = 486;BA.debugLine="bytes2send2(0)=0x2d";
_bytes2send2[(int) (0)] = (byte) (0x2d);
 //BA.debugLineNum = 487;BA.debugLine="bytes2send2(1)=0x73    's";
_bytes2send2[(int) (1)] = (byte) (0x73);
 //BA.debugLineNum = 488;BA.debugLine="bytes2send2(2)=0x70    'p";
_bytes2send2[(int) (2)] = (byte) (0x70);
 //BA.debugLineNum = 489;BA.debugLine="bytes2send2(3)=0x70    'p";
_bytes2send2[(int) (3)] = (byte) (0x70);
 //BA.debugLineNum = 490;BA.debugLine="bytes2send2(4)=0x6b    'k";
_bytes2send2[(int) (4)] = (byte) (0x6b);
 //BA.debugLineNum = 492;BA.debugLine="bytes2send2(5)=0x73   's";
_bytes2send2[(int) (5)] = (byte) (0x73);
 //BA.debugLineNum = 493;BA.debugLine="bytes2send2(6)=0x4c    'L";
_bytes2send2[(int) (6)] = (byte) (0x4c);
 //BA.debugLineNum = 494;BA.debugLine="bytes2send2(7)=0x64    'd";
_bytes2send2[(int) (7)] = (byte) (0x64);
 //BA.debugLineNum = 495;BA.debugLine="bytes2send2(8)=0x6b    'k";
_bytes2send2[(int) (8)] = (byte) (0x6b);
 //BA.debugLineNum = 497;BA.debugLine="bytes2send2(9)=0x00";
_bytes2send2[(int) (9)] = (byte) (0x00);
 //BA.debugLineNum = 499;BA.debugLine="async.Write(bytes2send2)";
_async.Write(_bytes2send2);
 //BA.debugLineNum = 500;BA.debugLine="async.Write(bytes2send2)";
_async.Write(_bytes2send2);
 //BA.debugLineNum = 501;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 39;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 41;BA.debugLine="Private search As Button";
mostCurrent._search = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Private conn As Button";
mostCurrent._conn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Private Program As Button";
mostCurrent._program = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim stringdata As String      'zmienna pomocnicza";
mostCurrent._stringdata = "";
 //BA.debugLineNum = 46;BA.debugLine="Dim bytestosend(10) As Int    'zmienna pomocnicza";
_bytestosend = new int[(int) (10)];
;
 //BA.debugLineNum = 47;BA.debugLine="Dim bytes2send(22) As Byte";
_bytes2send = new byte[(int) (22)];
;
 //BA.debugLineNum = 48;BA.debugLine="Dim bytes2send2(10) As Byte";
_bytes2send2 = new byte[(int) (10)];
;
 //BA.debugLineNum = 49;BA.debugLine="Dim bytes2send3(26) As Byte";
_bytes2send3 = new byte[(int) (26)];
;
 //BA.debugLineNum = 50;BA.debugLine="Dim programadd As Byte";
_programadd = (byte)0;
 //BA.debugLineNum = 52;BA.debugLine="Dim valval1(3) As Byte";
_valval1 = new byte[(int) (3)];
;
 //BA.debugLineNum = 53;BA.debugLine="Dim valval2(3) As Byte";
_valval2 = new byte[(int) (3)];
;
 //BA.debugLineNum = 54;BA.debugLine="Dim valval3(3) As Byte";
_valval3 = new byte[(int) (3)];
;
 //BA.debugLineNum = 55;BA.debugLine="Dim valval4(3) As Byte";
_valval4 = new byte[(int) (3)];
;
 //BA.debugLineNum = 56;BA.debugLine="Dim valval5(3) As Byte";
_valval5 = new byte[(int) (3)];
;
 //BA.debugLineNum = 58;BA.debugLine="Dim valtemp1 As Byte";
_valtemp1 = (byte)0;
 //BA.debugLineNum = 59;BA.debugLine="Dim valtemp2 As Byte";
_valtemp2 = (byte)0;
 //BA.debugLineNum = 60;BA.debugLine="Dim valtemp3 As Byte";
_valtemp3 = (byte)0;
 //BA.debugLineNum = 61;BA.debugLine="Dim valtemp4 As int";
_valtemp4 = 0;
 //BA.debugLineNum = 62;BA.debugLine="Dim valtemp5 As Byte";
_valtemp5 = (byte)0;
 //BA.debugLineNum = 64;BA.debugLine="Private chcolor As Panel";
mostCurrent._chcolor = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 66;BA.debugLine="Private radiopower As SeekBar";
mostCurrent._radiopower = new anywheresoftware.b4a.objects.SeekBarWrapper();
 //BA.debugLineNum = 67;BA.debugLine="Private radioblue As SeekBar";
mostCurrent._radioblue = new anywheresoftware.b4a.objects.SeekBarWrapper();
 //BA.debugLineNum = 68;BA.debugLine="Private radiogreen As SeekBar";
mostCurrent._radiogreen = new anywheresoftware.b4a.objects.SeekBarWrapper();
 //BA.debugLineNum = 69;BA.debugLine="Private radiored As SeekBar";
mostCurrent._radiored = new anywheresoftware.b4a.objects.SeekBarWrapper();
 //BA.debugLineNum = 70;BA.debugLine="Private chcolor2 As Panel";
mostCurrent._chcolor2 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 71;BA.debugLine="Private STATE1 As Button";
mostCurrent._state1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 72;BA.debugLine="Private STATE2 As Button";
mostCurrent._state2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 73;BA.debugLine="Private DIAGNOSTIC As Button";
mostCurrent._diagnostic = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 74;BA.debugLine="Private mainmenu As Button";
mostCurrent._mainmenu = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 75;BA.debugLine="Private getinfo As Button";
mostCurrent._getinfo = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 76;BA.debugLine="Private field As EditText";
mostCurrent._field = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 77;BA.debugLine="Private val1 As Label";
mostCurrent._val1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 78;BA.debugLine="Private val2 As Label";
mostCurrent._val2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 79;BA.debugLine="Private val3 As Label";
mostCurrent._val3 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 80;BA.debugLine="Private val4 As Label";
mostCurrent._val4 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 81;BA.debugLine="Private val5 As Label";
mostCurrent._val5 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 82;BA.debugLine="Private min1 As Button";
mostCurrent._min1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 83;BA.debugLine="Private min2 As Button";
mostCurrent._min2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 84;BA.debugLine="Private min3 As Button";
mostCurrent._min3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 85;BA.debugLine="Private min4 As Button";
mostCurrent._min4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 86;BA.debugLine="Private min5 As Button";
mostCurrent._min5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 87;BA.debugLine="Private plus1 As Button";
mostCurrent._plus1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 88;BA.debugLine="Private plus2 As Button";
mostCurrent._plus2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 89;BA.debugLine="Private plus3 As Button";
mostCurrent._plus3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 90;BA.debugLine="Private plus4 As Button";
mostCurrent._plus4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 91;BA.debugLine="Private plus5 As Button";
mostCurrent._plus5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 92;BA.debugLine="Private progcheck As CheckBox";
mostCurrent._progcheck = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
public static String  _mainmenu_click() throws Exception{
 //BA.debugLineNum = 503;BA.debugLine="Private Sub mainmenu_Click";
 //BA.debugLineNum = 504;BA.debugLine="getinfo.Visible=False";
mostCurrent._getinfo.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 505;BA.debugLine="mainmenu.Visible=False";
mostCurrent._mainmenu.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 507;BA.debugLine="Activity.LoadLayout(\"sclform\")";
mostCurrent._activity.LoadLayout("sclform",mostCurrent.activityBA);
 //BA.debugLineNum = 508;BA.debugLine="Activity.Title=\"SCL APP\"";
mostCurrent._activity.setTitle(BA.ObjectToCharSequence("SCL APP"));
 //BA.debugLineNum = 509;BA.debugLine="conn.Visible=True 'aktywowanie przycisku do rozla";
mostCurrent._conn.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 510;BA.debugLine="search.Visible=True";
mostCurrent._search.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 511;BA.debugLine="Program.Visible=True 'aktywowanie przycisku uruch";
mostCurrent._program.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 512;BA.debugLine="STATE1.Visible=True";
mostCurrent._state1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 513;BA.debugLine="STATE2.Visible=True";
mostCurrent._state2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 514;BA.debugLine="DIAGNOSTIC.Visible=True";
mostCurrent._diagnostic.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 516;BA.debugLine="min1.Visible=True";
mostCurrent._min1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 517;BA.debugLine="min2.Visible=True";
mostCurrent._min2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 518;BA.debugLine="min3.Visible=True";
mostCurrent._min3.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 519;BA.debugLine="min4.Visible=True";
mostCurrent._min4.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 520;BA.debugLine="min5.Visible=True";
mostCurrent._min5.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 522;BA.debugLine="plus1.Visible=True";
mostCurrent._plus1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 523;BA.debugLine="plus2.Visible=True";
mostCurrent._plus2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 524;BA.debugLine="plus3.Visible=True";
mostCurrent._plus3.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 525;BA.debugLine="plus4.Visible=True";
mostCurrent._plus4.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 526;BA.debugLine="plus5.Visible=True";
mostCurrent._plus5.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 529;BA.debugLine="End Sub";
return "";
}
public static String  _min1_click() throws Exception{
 //BA.debugLineNum = 534;BA.debugLine="Private Sub min1_Click";
 //BA.debugLineNum = 535;BA.debugLine="If valtemp1>0 Then";
if (_valtemp1>0) { 
 //BA.debugLineNum = 536;BA.debugLine="valtemp1=valtemp1-1";
_valtemp1 = (byte) (_valtemp1-1);
 };
 //BA.debugLineNum = 538;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 539;BA.debugLine="End Sub";
return "";
}
public static String  _min2_click() throws Exception{
 //BA.debugLineNum = 541;BA.debugLine="Private Sub min2_Click";
 //BA.debugLineNum = 542;BA.debugLine="If valtemp2>0 Then";
if (_valtemp2>0) { 
 //BA.debugLineNum = 543;BA.debugLine="valtemp2=valtemp2-1";
_valtemp2 = (byte) (_valtemp2-1);
 };
 //BA.debugLineNum = 545;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 546;BA.debugLine="End Sub";
return "";
}
public static String  _min3_click() throws Exception{
 //BA.debugLineNum = 548;BA.debugLine="Private Sub min3_Click";
 //BA.debugLineNum = 549;BA.debugLine="If valtemp3>0 Then";
if (_valtemp3>0) { 
 //BA.debugLineNum = 550;BA.debugLine="valtemp3=valtemp3-1";
_valtemp3 = (byte) (_valtemp3-1);
 };
 //BA.debugLineNum = 552;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 553;BA.debugLine="End Sub";
return "";
}
public static String  _min3_longclick() throws Exception{
 //BA.debugLineNum = 632;BA.debugLine="Private Sub min3_LongClick";
 //BA.debugLineNum = 633;BA.debugLine="If valtemp3>10 Then";
if (_valtemp3>10) { 
 //BA.debugLineNum = 634;BA.debugLine="valtemp3=valtemp3-10";
_valtemp3 = (byte) (_valtemp3-10);
 };
 //BA.debugLineNum = 636;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 637;BA.debugLine="End Sub";
return "";
}
public static String  _min4_click() throws Exception{
 //BA.debugLineNum = 555;BA.debugLine="Private Sub min4_Click";
 //BA.debugLineNum = 556;BA.debugLine="If valtemp4>0 Then";
if (_valtemp4>0) { 
 //BA.debugLineNum = 557;BA.debugLine="valtemp4=valtemp4-1";
_valtemp4 = (int) (_valtemp4-1);
 };
 //BA.debugLineNum = 559;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 560;BA.debugLine="End Sub";
return "";
}
public static String  _min4_longclick() throws Exception{
 //BA.debugLineNum = 604;BA.debugLine="Private Sub min4_LongClick";
 //BA.debugLineNum = 605;BA.debugLine="If valtemp4>10 Then";
if (_valtemp4>10) { 
 //BA.debugLineNum = 606;BA.debugLine="valtemp4=valtemp4-10";
_valtemp4 = (int) (_valtemp4-10);
 };
 //BA.debugLineNum = 608;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 609;BA.debugLine="End Sub";
return "";
}
public static String  _min5_click() throws Exception{
 //BA.debugLineNum = 562;BA.debugLine="Private Sub min5_Click";
 //BA.debugLineNum = 563;BA.debugLine="If valtemp5>0 Then";
if (_valtemp5>0) { 
 //BA.debugLineNum = 564;BA.debugLine="valtemp5=valtemp5-1";
_valtemp5 = (byte) (_valtemp5-1);
 };
 //BA.debugLineNum = 566;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 567;BA.debugLine="End Sub";
return "";
}
public static String  _min5_longclick() throws Exception{
 //BA.debugLineNum = 611;BA.debugLine="Private Sub min5_LongClick";
 //BA.debugLineNum = 612;BA.debugLine="If valtemp5>10 Then";
if (_valtemp5>10) { 
 //BA.debugLineNum = 613;BA.debugLine="valtemp5=valtemp5-10";
_valtemp5 = (byte) (_valtemp5-10);
 };
 //BA.debugLineNum = 615;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 616;BA.debugLine="End Sub";
return "";
}
public static String  _plus1_click() throws Exception{
 //BA.debugLineNum = 569;BA.debugLine="Private Sub plus1_Click";
 //BA.debugLineNum = 570;BA.debugLine="If valtemp1<5 Then";
if (_valtemp1<5) { 
 //BA.debugLineNum = 571;BA.debugLine="valtemp1=valtemp1+1";
_valtemp1 = (byte) (_valtemp1+1);
 };
 //BA.debugLineNum = 573;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 574;BA.debugLine="End Sub";
return "";
}
public static String  _plus2_click() throws Exception{
 //BA.debugLineNum = 576;BA.debugLine="Private Sub plus2_Click";
 //BA.debugLineNum = 577;BA.debugLine="If valtemp2<4 Then";
if (_valtemp2<4) { 
 //BA.debugLineNum = 578;BA.debugLine="valtemp2=valtemp2+1";
_valtemp2 = (byte) (_valtemp2+1);
 };
 //BA.debugLineNum = 580;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 581;BA.debugLine="End Sub";
return "";
}
public static String  _plus3_click() throws Exception{
 //BA.debugLineNum = 583;BA.debugLine="Private Sub plus3_Click";
 //BA.debugLineNum = 584;BA.debugLine="If valtemp3<24 Then";
if (_valtemp3<24) { 
 //BA.debugLineNum = 585;BA.debugLine="valtemp3=valtemp3+1";
_valtemp3 = (byte) (_valtemp3+1);
 };
 //BA.debugLineNum = 587;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 588;BA.debugLine="End Sub";
return "";
}
public static String  _plus3_longclick() throws Exception{
 //BA.debugLineNum = 639;BA.debugLine="Private Sub plus3_LongClick";
 //BA.debugLineNum = 640;BA.debugLine="If valtemp3<14 Then";
if (_valtemp3<14) { 
 //BA.debugLineNum = 641;BA.debugLine="valtemp3=valtemp3+10";
_valtemp3 = (byte) (_valtemp3+10);
 };
 //BA.debugLineNum = 643;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 644;BA.debugLine="End Sub";
return "";
}
public static String  _plus4_click() throws Exception{
 //BA.debugLineNum = 590;BA.debugLine="Private Sub plus4_Click";
 //BA.debugLineNum = 591;BA.debugLine="If valtemp4<200 Then";
if (_valtemp4<200) { 
 //BA.debugLineNum = 592;BA.debugLine="valtemp4=valtemp4+1";
_valtemp4 = (int) (_valtemp4+1);
 };
 //BA.debugLineNum = 594;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 595;BA.debugLine="End Sub";
return "";
}
public static String  _plus4_longclick() throws Exception{
 //BA.debugLineNum = 618;BA.debugLine="Private Sub plus4_LongClick";
 //BA.debugLineNum = 619;BA.debugLine="If valtemp4<190 Then";
if (_valtemp4<190) { 
 //BA.debugLineNum = 620;BA.debugLine="valtemp4=valtemp4+10";
_valtemp4 = (int) (_valtemp4+10);
 };
 //BA.debugLineNum = 622;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 623;BA.debugLine="End Sub";
return "";
}
public static String  _plus5_click() throws Exception{
 //BA.debugLineNum = 597;BA.debugLine="Private Sub plus5_Click";
 //BA.debugLineNum = 598;BA.debugLine="If valtemp5<30 Then";
if (_valtemp5<30) { 
 //BA.debugLineNum = 599;BA.debugLine="valtemp5=valtemp5+1";
_valtemp5 = (byte) (_valtemp5+1);
 };
 //BA.debugLineNum = 601;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 602;BA.debugLine="End Sub";
return "";
}
public static String  _plus5_longclick() throws Exception{
 //BA.debugLineNum = 625;BA.debugLine="Private Sub plus5_LongClick";
 //BA.debugLineNum = 626;BA.debugLine="If valtemp5<15 Then";
if (_valtemp5<15) { 
 //BA.debugLineNum = 627;BA.debugLine="valtemp5=valtemp5+10";
_valtemp5 = (byte) (_valtemp5+10);
 };
 //BA.debugLineNum = 629;BA.debugLine="calvalue";
_calvalue();
 //BA.debugLineNum = 630;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
starter._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 24;BA.debugLine="Dim BTadmin As BluetoothAdmin";
_btadmin = new anywheresoftware.b4a.objects.Serial.BluetoothAdmin();
 //BA.debugLineNum = 25;BA.debugLine="Dim BTserial As Serial";
_btserial = new anywheresoftware.b4a.objects.Serial();
 //BA.debugLineNum = 26;BA.debugLine="Dim BTdevicess As List";
_btdevicess = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 27;BA.debugLine="Type NameAndMac( Name As String, Mac As String )";
;
 //BA.debugLineNum = 28;BA.debugLine="Dim connectedDevice As NameAndMac";
_connecteddevice = new b4a.example.main._nameandmac();
 //BA.debugLineNum = 30;BA.debugLine="Dim connectedflag As Boolean";
_connectedflag = false;
 //BA.debugLineNum = 31;BA.debugLine="Dim BluetoothState As Boolean";
_bluetoothstate = false;
 //BA.debugLineNum = 32;BA.debugLine="Dim async As AsyncStreams";
_async = new anywheresoftware.b4a.randomaccessfile.AsyncStreams();
 //BA.debugLineNum = 33;BA.debugLine="Dim receivedate As String";
_receivedate = "";
 //BA.debugLineNum = 35;BA.debugLine="Private rp As RuntimePermissions 'zmienna dostepo";
_rp = new anywheresoftware.b4a.objects.RuntimePermissions();
 //BA.debugLineNum = 37;BA.debugLine="End Sub";
return "";
}
public static String  _progcheck_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 646;BA.debugLine="Private Sub progcheck_CheckedChange(Checked As Boo";
 //BA.debugLineNum = 648;BA.debugLine="If progcheck.Checked=True Then";
if (mostCurrent._progcheck.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 649;BA.debugLine="programadd=1";
_programadd = (byte) (1);
 }else {
 //BA.debugLineNum = 651;BA.debugLine="programadd=0";
_programadd = (byte) (0);
 };
 //BA.debugLineNum = 653;BA.debugLine="End Sub";
return "";
}
public static String  _program_click() throws Exception{
int _temp = 0;
 //BA.debugLineNum = 318;BA.debugLine="Sub Program_Click";
 //BA.debugLineNum = 319;BA.debugLine="Dim temp As Int";
_temp = 0;
 //BA.debugLineNum = 322;BA.debugLine="bytes2send(0)=0x2d";
_bytes2send[(int) (0)] = (byte) (0x2d);
 //BA.debugLineNum = 323;BA.debugLine="bytes2send(1)=0x73   's";
_bytes2send[(int) (1)] = (byte) (0x73);
 //BA.debugLineNum = 324;BA.debugLine="bytes2send(2)=0x70    'p";
_bytes2send[(int) (2)] = (byte) (0x70);
 //BA.debugLineNum = 325;BA.debugLine="bytes2send(3)=0x70    'p";
_bytes2send[(int) (3)] = (byte) (0x70);
 //BA.debugLineNum = 326;BA.debugLine="bytes2send(4)=0x6b    'k";
_bytes2send[(int) (4)] = (byte) (0x6b);
 //BA.debugLineNum = 328;BA.debugLine="bytes2send(5)=0x73   's";
_bytes2send[(int) (5)] = (byte) (0x73);
 //BA.debugLineNum = 329;BA.debugLine="bytes2send(6)=0x65    'kolor czerwony";
_bytes2send[(int) (6)] = (byte) (0x65);
 //BA.debugLineNum = 330;BA.debugLine="bytes2send(7)=radiored.Value";
_bytes2send[(int) (7)] = (byte) (mostCurrent._radiored.getValue());
 //BA.debugLineNum = 331;BA.debugLine="bytes2send(8)=0x6b    'k";
_bytes2send[(int) (8)] = (byte) (0x6b);
 //BA.debugLineNum = 334;BA.debugLine="bytes2send(9)=0x73   's";
_bytes2send[(int) (9)] = (byte) (0x73);
 //BA.debugLineNum = 335;BA.debugLine="bytes2send(10)=0x46    'kolor zielony";
_bytes2send[(int) (10)] = (byte) (0x46);
 //BA.debugLineNum = 336;BA.debugLine="bytes2send(11)=radiogreen.Value";
_bytes2send[(int) (11)] = (byte) (mostCurrent._radiogreen.getValue());
 //BA.debugLineNum = 337;BA.debugLine="bytes2send(12)=0x6b    'k";
_bytes2send[(int) (12)] = (byte) (0x6b);
 //BA.debugLineNum = 341;BA.debugLine="bytes2send(13)=0x73   's";
_bytes2send[(int) (13)] = (byte) (0x73);
 //BA.debugLineNum = 342;BA.debugLine="bytes2send(14)=0x67    'kolor niebieski";
_bytes2send[(int) (14)] = (byte) (0x67);
 //BA.debugLineNum = 343;BA.debugLine="bytes2send(15)=radioblue.Value";
_bytes2send[(int) (15)] = (byte) (mostCurrent._radioblue.getValue());
 //BA.debugLineNum = 344;BA.debugLine="bytes2send(16)=0x6b    'k";
_bytes2send[(int) (16)] = (byte) (0x6b);
 //BA.debugLineNum = 346;BA.debugLine="bytes2send(17)=0x73   's";
_bytes2send[(int) (17)] = (byte) (0x73);
 //BA.debugLineNum = 347;BA.debugLine="bytes2send(18)=0x63    'moc power led";
_bytes2send[(int) (18)] = (byte) (0x63);
 //BA.debugLineNum = 348;BA.debugLine="temp=radiopower.Value";
_temp = mostCurrent._radiopower.getValue();
 //BA.debugLineNum = 349;BA.debugLine="temp=100*temp";
_temp = (int) (100*_temp);
 //BA.debugLineNum = 350;BA.debugLine="temp=temp/255";
_temp = (int) (_temp/(double)255);
 //BA.debugLineNum = 351;BA.debugLine="bytes2send(19)=temp";
_bytes2send[(int) (19)] = (byte) (_temp);
 //BA.debugLineNum = 352;BA.debugLine="bytes2send(20)=0x6b    'k";
_bytes2send[(int) (20)] = (byte) (0x6b);
 //BA.debugLineNum = 354;BA.debugLine="bytes2send(21)=0x00";
_bytes2send[(int) (21)] = (byte) (0x00);
 //BA.debugLineNum = 356;BA.debugLine="async.Write(bytes2send) 'dwa razy wyslanie komend";
_async.Write(_bytes2send);
 //BA.debugLineNum = 357;BA.debugLine="async.Write(bytes2send)";
_async.Write(_bytes2send);
 //BA.debugLineNum = 360;BA.debugLine="If programadd=1 Then";
if (_programadd==1) { 
 //BA.debugLineNum = 361;BA.debugLine="bytes2send3(0)=0x2d";
_bytes2send3[(int) (0)] = (byte) (0x2d);
 //BA.debugLineNum = 362;BA.debugLine="bytes2send3(1)=0x73   's";
_bytes2send3[(int) (1)] = (byte) (0x73);
 //BA.debugLineNum = 363;BA.debugLine="bytes2send3(2)=0x70    'p";
_bytes2send3[(int) (2)] = (byte) (0x70);
 //BA.debugLineNum = 364;BA.debugLine="bytes2send3(3)=0x70    'p";
_bytes2send3[(int) (3)] = (byte) (0x70);
 //BA.debugLineNum = 365;BA.debugLine="bytes2send3(4)=0x6b    'k";
_bytes2send3[(int) (4)] = (byte) (0x6b);
 //BA.debugLineNum = 367;BA.debugLine="bytes2send3(5)=0x73   's";
_bytes2send3[(int) (5)] = (byte) (0x73);
 //BA.debugLineNum = 368;BA.debugLine="bytes2send3(6)=0x42    'animacja schodow";
_bytes2send3[(int) (6)] = (byte) (0x42);
 //BA.debugLineNum = 369;BA.debugLine="bytes2send3(7)=(valtemp1+0x30)";
_bytes2send3[(int) (7)] = (byte) ((_valtemp1+0x30));
 //BA.debugLineNum = 370;BA.debugLine="bytes2send3(8)=0x6b    'k";
_bytes2send3[(int) (8)] = (byte) (0x6b);
 //BA.debugLineNum = 372;BA.debugLine="bytes2send3(9)=0x73   's";
_bytes2send3[(int) (9)] = (byte) (0x73);
 //BA.debugLineNum = 373;BA.debugLine="bytes2send3(10)=0x61    'animacja power led";
_bytes2send3[(int) (10)] = (byte) (0x61);
 //BA.debugLineNum = 374;BA.debugLine="bytes2send3(11)=(valtemp2+0x30)";
_bytes2send3[(int) (11)] = (byte) ((_valtemp2+0x30));
 //BA.debugLineNum = 375;BA.debugLine="bytes2send3(12)=0x6b    'k";
_bytes2send3[(int) (12)] = (byte) (0x6b);
 //BA.debugLineNum = 377;BA.debugLine="bytes2send3(13)=0x73   's";
_bytes2send3[(int) (13)] = (byte) (0x73);
 //BA.debugLineNum = 378;BA.debugLine="bytes2send3(14)=0x44    'ilosc schodow";
_bytes2send3[(int) (14)] = (byte) (0x44);
 //BA.debugLineNum = 379;BA.debugLine="bytes2send3(15)=valtemp3";
_bytes2send3[(int) (15)] = _valtemp3;
 //BA.debugLineNum = 380;BA.debugLine="bytes2send3(16)=0x6b    'k";
_bytes2send3[(int) (16)] = (byte) (0x6b);
 //BA.debugLineNum = 382;BA.debugLine="bytes2send3(17)=0x73   's";
_bytes2send3[(int) (17)] = (byte) (0x73);
 //BA.debugLineNum = 383;BA.debugLine="bytes2send3(18)=0x69    'opoznienie";
_bytes2send3[(int) (18)] = (byte) (0x69);
 //BA.debugLineNum = 384;BA.debugLine="bytes2send3(19)=valtemp4";
_bytes2send3[(int) (19)] = (byte) (_valtemp4);
 //BA.debugLineNum = 385;BA.debugLine="bytes2send3(20)=0x6b    'k";
_bytes2send3[(int) (20)] = (byte) (0x6b);
 //BA.debugLineNum = 387;BA.debugLine="bytes2send3(21)=0x73   's";
_bytes2send3[(int) (21)] = (byte) (0x73);
 //BA.debugLineNum = 388;BA.debugLine="bytes2send3(22)=0x48    'threshold";
_bytes2send3[(int) (22)] = (byte) (0x48);
 //BA.debugLineNum = 389;BA.debugLine="bytes2send3(23)=valtemp5";
_bytes2send3[(int) (23)] = _valtemp5;
 //BA.debugLineNum = 390;BA.debugLine="bytes2send3(24)=0x6b    'k";
_bytes2send3[(int) (24)] = (byte) (0x6b);
 //BA.debugLineNum = 392;BA.debugLine="bytes2send3(25)=0x00    'k";
_bytes2send3[(int) (25)] = (byte) (0x00);
 //BA.debugLineNum = 394;BA.debugLine="async.Write(bytes2send3) 'dwa razy wyslanie kome";
_async.Write(_bytes2send3);
 //BA.debugLineNum = 395;BA.debugLine="async.Write(bytes2send3)";
_async.Write(_bytes2send3);
 };
 //BA.debugLineNum = 398;BA.debugLine="End Sub";
return "";
}
public static String  _radioblue_valuechanged(int _value,boolean _userchanged) throws Exception{
 //BA.debugLineNum = 410;BA.debugLine="Private Sub radioblue_ValueChanged (Value As Int,";
 //BA.debugLineNum = 411;BA.debugLine="sliderpanel";
_sliderpanel();
 //BA.debugLineNum = 412;BA.debugLine="End Sub";
return "";
}
public static String  _radiogreen_valuechanged(int _value,boolean _userchanged) throws Exception{
 //BA.debugLineNum = 406;BA.debugLine="Private Sub radiogreen_ValueChanged (Value As Int,";
 //BA.debugLineNum = 407;BA.debugLine="sliderpanel";
_sliderpanel();
 //BA.debugLineNum = 408;BA.debugLine="End Sub";
return "";
}
public static String  _radiopower_valuechanged(int _value,boolean _userchanged) throws Exception{
 //BA.debugLineNum = 414;BA.debugLine="Private Sub radiopower_ValueChanged (Value As Int,";
 //BA.debugLineNum = 415;BA.debugLine="sliderpanel";
_sliderpanel();
 //BA.debugLineNum = 416;BA.debugLine="End Sub";
return "";
}
public static String  _radiored_valuechanged(int _value,boolean _userchanged) throws Exception{
 //BA.debugLineNum = 402;BA.debugLine="Private Sub radiored_ValueChanged (Value As Int, U";
 //BA.debugLineNum = 403;BA.debugLine="sliderpanel";
_sliderpanel();
 //BA.debugLineNum = 404;BA.debugLine="End Sub";
return "";
}
public static void  _search_click() throws Exception{
ResumableSub_search_Click rsub = new ResumableSub_search_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_search_Click extends BA.ResumableSub {
public ResumableSub_search_Click(b4a.example.main parent) {
this.parent = parent;
}
b4a.example.main parent;
String _permission = "";
boolean _result = false;
boolean _temporary = false;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 223;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_COARSE_LO";
parent._rp.CheckAndRequest(processBA,parent._rp.PERMISSION_ACCESS_COARSE_LOCATION);
 //BA.debugLineNum = 226;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, this, null);
this.state = 11;
return;
case 11:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
 //BA.debugLineNum = 227;BA.debugLine="If Result = False Then";
if (true) break;

case 1:
//if
this.state = 4;
if (_result==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 228;BA.debugLine="ToastMessageShow(\"Acces location failed\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Acces location failed"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 229;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 4:
//C
this.state = 5;
;
 //BA.debugLineNum = 232;BA.debugLine="BTdevicess.Initialize";
parent._btdevicess.Initialize();
 //BA.debugLineNum = 233;BA.debugLine="Dim temporary As Boolean = False";
_temporary = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 234;BA.debugLine="temporary= BTadmin.StartDiscovery";
_temporary = parent._btadmin.StartDiscovery();
 //BA.debugLineNum = 236;BA.debugLine="If temporary = False Then";
if (true) break;

case 5:
//if
this.state = 10;
if (_temporary==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 7;
}else {
this.state = 9;
}if (true) break;

case 7:
//C
this.state = 10;
 //BA.debugLineNum = 237;BA.debugLine="ToastMessageShow( \"BT Error. Try Again\", True )";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("BT Error. Try Again"),anywheresoftware.b4a.keywords.Common.True);
 if (true) break;

case 9:
//C
this.state = 10;
 //BA.debugLineNum = 239;BA.debugLine="ProgressDialogShow2(\"Searching for devices...\",";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow2(mostCurrent.activityBA,BA.ObjectToCharSequence("Searching for devices..."),anywheresoftware.b4a.keywords.Common.False);
 if (true) break;

case 10:
//C
this.state = -1;
;
 //BA.debugLineNum = 241;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _activity_permissionresult(String _permission,boolean _result) throws Exception{
}
public static String  _sliderdefault() throws Exception{
 //BA.debugLineNum = 286;BA.debugLine="Sub sliderdefault";
 //BA.debugLineNum = 288;BA.debugLine="radiopower.Max=254";
mostCurrent._radiopower.setMax((int) (254));
 //BA.debugLineNum = 289;BA.debugLine="radiored.Max=254";
mostCurrent._radiored.setMax((int) (254));
 //BA.debugLineNum = 290;BA.debugLine="radiogreen.Max=254";
mostCurrent._radiogreen.setMax((int) (254));
 //BA.debugLineNum = 291;BA.debugLine="radioblue.Max=254";
mostCurrent._radioblue.setMax((int) (254));
 //BA.debugLineNum = 293;BA.debugLine="radiopower.Value=254";
mostCurrent._radiopower.setValue((int) (254));
 //BA.debugLineNum = 294;BA.debugLine="radiored.Value=254";
mostCurrent._radiored.setValue((int) (254));
 //BA.debugLineNum = 295;BA.debugLine="radiogreen.Value=254";
mostCurrent._radiogreen.setValue((int) (254));
 //BA.debugLineNum = 296;BA.debugLine="radioblue.Value=254";
mostCurrent._radioblue.setValue((int) (254));
 //BA.debugLineNum = 298;BA.debugLine="End Sub";
return "";
}
public static String  _sliderpanel() throws Exception{
 //BA.debugLineNum = 274;BA.debugLine="Sub sliderpanel";
 //BA.debugLineNum = 276;BA.debugLine="bytestosend(3)=radiopower.Value";
_bytestosend[(int) (3)] = mostCurrent._radiopower.getValue();
 //BA.debugLineNum = 277;BA.debugLine="bytestosend(4)=radiored.Value";
_bytestosend[(int) (4)] = mostCurrent._radiored.getValue();
 //BA.debugLineNum = 278;BA.debugLine="bytestosend(5)=radiogreen.Value";
_bytestosend[(int) (5)] = mostCurrent._radiogreen.getValue();
 //BA.debugLineNum = 279;BA.debugLine="bytestosend(6)=radioblue.Value";
_bytestosend[(int) (6)] = mostCurrent._radioblue.getValue();
 //BA.debugLineNum = 281;BA.debugLine="chcolor.Color=Colors.ARGB(255, bytestosend(4), by";
mostCurrent._chcolor.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB((int) (255),_bytestosend[(int) (4)],_bytestosend[(int) (5)],_bytestosend[(int) (6)]));
 //BA.debugLineNum = 282;BA.debugLine="chcolor2.Color=Colors.ARGB(bytestosend(3), 255, 2";
mostCurrent._chcolor2.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB(_bytestosend[(int) (3)],(int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 284;BA.debugLine="End Sub";
return "";
}
public static String  _state1_click() throws Exception{
 //BA.debugLineNum = 420;BA.debugLine="Private Sub STATE1_Click";
 //BA.debugLineNum = 421;BA.debugLine="bytes2send2(0)=0x2d";
_bytes2send2[(int) (0)] = (byte) (0x2d);
 //BA.debugLineNum = 422;BA.debugLine="bytes2send2(1)=0x73    's";
_bytes2send2[(int) (1)] = (byte) (0x73);
 //BA.debugLineNum = 423;BA.debugLine="bytes2send2(2)=0x70    'p";
_bytes2send2[(int) (2)] = (byte) (0x70);
 //BA.debugLineNum = 424;BA.debugLine="bytes2send2(3)=0x70    'p";
_bytes2send2[(int) (3)] = (byte) (0x70);
 //BA.debugLineNum = 425;BA.debugLine="bytes2send2(4)=0x6b    'k";
_bytes2send2[(int) (4)] = (byte) (0x6b);
 //BA.debugLineNum = 427;BA.debugLine="bytes2send2(5)=0x73   's";
_bytes2send2[(int) (5)] = (byte) (0x73);
 //BA.debugLineNum = 428;BA.debugLine="bytes2send2(6)=0x4A    'J";
_bytes2send2[(int) (6)] = (byte) (0x4a);
 //BA.debugLineNum = 429;BA.debugLine="bytes2send2(7)=0x41    'A";
_bytes2send2[(int) (7)] = (byte) (0x41);
 //BA.debugLineNum = 430;BA.debugLine="bytes2send2(8)=0x6b    'k";
_bytes2send2[(int) (8)] = (byte) (0x6b);
 //BA.debugLineNum = 432;BA.debugLine="bytes2send2(9)=0x00";
_bytes2send2[(int) (9)] = (byte) (0x00);
 //BA.debugLineNum = 434;BA.debugLine="async.Write(bytes2send2)";
_async.Write(_bytes2send2);
 //BA.debugLineNum = 437;BA.debugLine="End Sub";
return "";
}
public static String  _state2_click() throws Exception{
 //BA.debugLineNum = 439;BA.debugLine="Private Sub STATE2_Click";
 //BA.debugLineNum = 440;BA.debugLine="bytes2send2(0)=0x2d";
_bytes2send2[(int) (0)] = (byte) (0x2d);
 //BA.debugLineNum = 441;BA.debugLine="bytes2send2(1)=0x73    's";
_bytes2send2[(int) (1)] = (byte) (0x73);
 //BA.debugLineNum = 442;BA.debugLine="bytes2send2(2)=0x70    'p";
_bytes2send2[(int) (2)] = (byte) (0x70);
 //BA.debugLineNum = 443;BA.debugLine="bytes2send2(3)=0x70    'p";
_bytes2send2[(int) (3)] = (byte) (0x70);
 //BA.debugLineNum = 444;BA.debugLine="bytes2send2(4)=0x6b    'k";
_bytes2send2[(int) (4)] = (byte) (0x6b);
 //BA.debugLineNum = 446;BA.debugLine="bytes2send2(5)=0x73   's";
_bytes2send2[(int) (5)] = (byte) (0x73);
 //BA.debugLineNum = 447;BA.debugLine="bytes2send2(6)=0x6b    'k";
_bytes2send2[(int) (6)] = (byte) (0x6b);
 //BA.debugLineNum = 448;BA.debugLine="bytes2send2(7)=0x5A    'Z";
_bytes2send2[(int) (7)] = (byte) (0x5a);
 //BA.debugLineNum = 449;BA.debugLine="bytes2send2(8)=0x6b    'k";
_bytes2send2[(int) (8)] = (byte) (0x6b);
 //BA.debugLineNum = 451;BA.debugLine="bytes2send2(9)=0x00";
_bytes2send2[(int) (9)] = (byte) (0x00);
 //BA.debugLineNum = 453;BA.debugLine="async.Write(bytes2send2)";
_async.Write(_bytes2send2);
 //BA.debugLineNum = 454;BA.debugLine="End Sub";
return "";
}
}
