#include "stm32f10x.h"

#ifndef APPLICATIONSCL_H_
#define APPLICATIONSCL_H_


//Definicje obslugi przyciskow zalaczajacych/wylaczajacych diody led
#define wPB1        (!((GPIOC->IDR) & GPIO_Pin_4))
#define wPB2        (!((GPIOC->IDR) & GPIO_Pin_5))
//Zdefiniowanie interwalu czasowego sluzacego do odczytu przycisku
#define intervaltimebutton 8000
//wartosc o jaka nastepuje inkrementacja lub dekrementacja przy animacji power led
#define incrementpwr 1
//zdefiniowanie maksymalnej mocy dla rejestru conf
#define powerdef 63
//thresholdy przy zalaczania oraz stopniowym wylaczaniu schodow
#define upthresh 45
#define dwnthresh 20
//Zdefiniowane Timery dla obslugi diod POWER-LED
#define pwrled1 (TIM4->CCR1)
#define pwrled2 (TIM4->CCR2)
#define pwrled3 (TIM4->CCR3)


//Deklaracje funkcji
void detectbutton(uint8_t *state, uint8_t *direction);
void powerled(uint8_t powerk, uint8_t direction, uint8_t state, uint8_t animation);
void stairsanimation( uint8_t direction, uint8_t state, uint8_t animation, uint8_t stairsamound, uint8_t tresh, uint8_t time);
void resetwatchdogtps(void);
void changecolorstairs(uint8_t red, uint8_t green, uint8_t blue, uint8_t stairsamound);

#endif
